[SOLVED]Bluetooth 4.0 on Android VM

Discussions about using non Windows and Linux guests such as FreeBSD, DOS, OS/2, OpenBSD, etc.

[SOLVED]Bluetooth 4.0 on Android VM

Postby NathanXXX » 14. Jan 2017, 16:15

I've got Android VM 4.3 on Ubuntu 16.10 working fine.
Even Bluetooth is working (I can detect some bluetooth devices from the Android VM) (I'm using a USB dongle on my PC).

The problem is that the version detected by Android seems to be OLDER than what my Bluetooth really is:
It's a Bluetooth 4.0 dongle, confirmed on my Ubuntu PC with:
Code: Select all   Expand viewCollapse view
$ hciconfig -a
hci0:   Type: Primary  Bus: USB
   BD Address: 00:1A:7D:DA:71:14  ACL MTU: 310:10  SCO MTU: 64:8
   UP RUNNING PSCAN ISCAN
   RX bytes:724 acl:0 sco:0 events:55 errors:0
   TX bytes:3943 acl:0 sco:0 commands:55 errors:0
   Features: 0xff 0xff 0x8f 0xfe 0xdb 0xff 0x5b 0x87
   Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
   Link policy: RSWITCH HOLD SNIFF PARK
   Link mode: SLAVE ACCEPT
   Name: 'nathan-MS-7788'
   Class: 0x100104
   Service Classes: Object Transfer
   Device Class: Computer, Desktop workstation
   HCI [b]Version: 4.0[/b] (0x6)  Revision: 0x22bb
   LMP [b]Version: 4.0 [/b](0x6)  Subversion: 0x22bb
   Manufacturer: Cambridge Silicon Radio (10)


but, using an app installed on the VM like "BLE checker", it shows : BLE Not Supported.

EDIT: Okay, Android 4.3 has a lot of problem apparently with Bluetooth 4.0 (LE), even natively :roll: ... I've switched to Android VM 5.1 and it works
NathanXXX
 
Posts: 1
Joined: 14. Jan 2017, 15:52

Return to Other Guests

Who is online

Users browsing this forum: No registered users and 2 guests